#
# spec file for package python-threevis
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python39 1
Name:           python-threevis
Version:        0.1.0.post25
Release:        7.2
Summary:        Plugin for visualizing geometry in a Jupyter Notebook
License:        BSD-3-Clause
URL:            https://graphics.rwth-aachen.de:9000/threevis/threevis
Source:         https://files.pythonhosted.org/packages/source/t/threevis/threevis-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module openmesh}
BuildRequires:  %{python_module pythreejs >= 1.0.0}
# /SECTION
Requires:       python-numpy
Requires:       python-openmesh
Requires:       python-pythreejs >= 1.0.0
BuildArch:      noarch
%python_subpackages

%description
A plugin for visualizing meshes, point clouds, and other geometry in
a Jupyter Notebook.

%prep
%setup -q -n threevis-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
pushd tests
%pyunittest -v
popd

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/threevis
%{python_sitelib}/threevis-%{version}.dist-info

%changelog
* Fri Mar  8 2024 Ben Greiner <code@bnavigator.de>
- Skip python39: no longer supported since ipython 8.19
  (via pythreejs)
* Wed Mar  8 2023 Ben Greiner <code@bnavigator.de>
- Shorten Summary (rpmlint)
- Clean specfile
- PEP517
* Tue Apr 27 2021 Steve Kowalik <steven.kowalik@suse.com>
- Do not build for Python 3.6, due to no NumPy.
* Tue Dec 15 2020 Benjamin Greiner <code@bnavigator.de>
- Provide the old jupyter package name only for the primary
  Python3 interpreter -- gh#openSUSE/python-rpm-macros#66
* Fri Aug 16 2019 Todd R <toddrme2178@gmail.com>
- Drop python2 version
* Fri May  3 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in descriptions.
* Tue Apr 30 2019 Todd R <toddrme2178@gmail.com>
- Initial version
